package ink.wgink.module.sms.pojo.vos.sms;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: SmsVO
 * @Description: 短信
 * @Author: WenG
 * @Date: 2020-03-14 16:01
 * @Version: 1.0
 **/
@ApiModel
public class SmsVO {

    @ApiModelProperty(name = "userId", value = "用户ID")
    @CheckEmptyAnnotation(name = "用户ID")
    private String userId;
    @ApiModelProperty(name = "userName", value = "用户昵称")
    @CheckEmptyAnnotation(name = "用户昵称")
    private String userName;
    @ApiModelProperty(name = "phone", value = "电话")
    @CheckEmptyAnnotation(name = "电话", verifyType = "phone")
    private String phone;
    @ApiModelProperty(name = "content", value = "发送内容")
    private String content;
    @ApiModelProperty(name = "sendStatus", value = "发送状态")
    @CheckNumberAnnotation(name = "发送状态")
    private Integer sendStatus;
    @ApiModelProperty(name = "errorMessage", value = "错误信息")
    private String errorMessage;

    public String getUserId() {
        return userId == null ? "" : userId.trim();
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName == null ? "" : userName.trim();
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPhone() {
        return phone == null ? "" : phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getContent() {
        return content == null ? "" : content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getSendStatus() {
        return sendStatus == null ? 0 : sendStatus;
    }

    public void setSendStatus(Integer sendStatus) {
        this.sendStatus = sendStatus;
    }

    public String getErrorMessage() {
        return errorMessage == null ? "" : errorMessage;
    }

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }

}
